//*********Archivo que implementa los metodos de la clase Archivos************


//Llamadas al preprocesador
#include"rinex.hpp"

//*******************Constructores de la clase********************

//implementacion del constructor

Rinex::Rinex()
{

  saludo = "Bienvenido a ASTRA.Software de post-proceso de datos GPS\0";
  despedida = "Esperamos le haya sido útil\0";
}

//implementacion del destructor

Rinex::~Rinex()
{

}


//****************Implementacion de los metodos de acceso*************
//****************Carguar  Archivos***********************************


//Cargar_Obs()

void Rinex::CargarObs(wxString obs)
{

  //linea que captura excepciones en el cargue de archivos
  aor.exceptions(ios::failbit);

  //linea que permite abrir un archivo de nombre "obs"
  aor.open( obs, ios::in );
}


//Cargar_Nav()

void Rinex::CargarNav(wxString nav)
{

  //linea que captura excepciones en el cargue de archivos
  anr.exceptions(ios::failbit);

  anr.open( nav, ios::in );

}


//Cargar_Met

void Rinex::CargarMet(wxString met)
{

  //linea que captura excepciones en el cargue de archivos
  amr.exceptions(ios::failbit);

  //linea que permite abrir un archivo de nombre "met"
  amr.open( met, ios::in );

}



/*
//Cargar_SP3()
void Rinex::CargarSP3(wxString sp3)
{

  //linea que captura excepciones en el cargue de archivos
  esp3.exceptions(ios::failbit);

  //linea que permite abrir un archivo de nombre "sp3"
  esp3.open( o, ios::in );
}
*/


//****************Creacion de  Archivos******************

//CracionObs()
void Rinex::CreacionObs(wxString entradaObs)
{
    
    //Instanciacion del objeto salida_aor, que crea un archivo 
    salida_aor.open(entradaObs, ios::out|ios::trunc);

    //linea que permite abrir un archivo de nombre "salida_aor"
    salida_aor.exceptions(ios::failbit);

}

//CreacionNav()
void Rinex::CreacionNav(wxString entradaNav)
{
    
    //Instanciacion del objeto salida_aor, que crea un archivo 
    salidaAnr.open(entradaNav, ios::out|ios::trunc);

    //linea que permite abrir un archivo de nombre "salida_aor"
    salidaAnr.exceptions(ios::failbit);

}

//CreacionMet()
void Rinex::CreacionMet(wxString entradaMet)
{
    //Instanciacion del objeto salida_aor, que crea un archivo 
    salidaAmr.open(entradaMet, ios::out|ios::trunc);

    //linea que permite abrir un archivo de nombre "salida_aor"
    salidaAmr.exceptions(ios::failbit);


}




//****************Escritura en  Archivos******************

void Rinex::EscrituraObs()
{
  aor >> cor;
  salida_aor.header = aor.header;
  salida_aor << salida_aor.header;
  
}

void Rinex::EscrituraObs(wxString obs)
{
  RinexObsStream obsRinex;
  
  //Instanciacion del objeto salida_aor, que crea un archivo 
  obsRinex.open(obs, ios::out|ios::trunc);
  
  //linea que permite abrir un archivo de nombre "salida_aor"
  obsRinex.exceptions(ios::failbit);

  aor >> cor;
  obsRinex.header = aor.header;
  obsRinex << obsRinex.header;
  
}

void Rinex::EscrituraNav()
{
  anr >> cnr;
  salidaAnr.header = anr.header;
  salidaAnr << salidaAnr.header;
}

void Rinex::EscrituraNav(wxString nav)
{
  RinexNavStream navRinex;
  
  //Instanciacion del objeto salida_aor, que crea un archivo 
  navRinex.open(nav, ios::out|ios::trunc);
  
  //linea que permite abrir un archivo de nombre "salida_aor"
  navRinex.exceptions(ios::failbit);

  anr >> cnr;
  navRinex.header = anr.header;
  navRinex << navRinex.header;
  
}


void Rinex::EscrituraMet()
{
  amr >> cmr;
  salidaAmr.header = amr.header;
  salidaAmr << salidaAmr.header;
}

void Rinex::EscrituraMet(wxString met)
{
  RinexMetStream metRinex;
  metRinex.open(met, ios::out|ios::trunc);
  metRinex.exceptions(ios::failbit);

  amr >> cmr;
  metRinex.header = amr.header;
  metRinex << metRinex.header;

}


